Last Comment Bug 756786 - xulrunner won't start on linux (and probably mac)
: xulrunner won't start on linux (and probably mac)
Status: RESOLVED FIXED
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: XULRunner (show other bugs)
: Trunk
: All Linux
: -- normal with 2 votes (vote)
: mozilla17
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on: 764237 931841
Blocks: 743560
  Show dependency treegraph
 
Reported: 2012-05-19 08:23 PDT by Mike Hommey [:glandium]
Modified: 2016-02-12 08:12 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Remove NSPR usage from nsXULRunnerApp.cpp (2.94 KB, patch)
2012-06-03 23:36 PDT, Mike Hommey [:glandium]
benjamin: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review
Use XPCOM standalone glue in nsXULRunnerApp.cpp (6.49 KB, patch)
2012-06-03 23:39 PDT, Mike Hommey [:glandium]
benjamin: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review
Install the xulrunner binary as xulrunner instead of xulrunner-bin, and get rid of the xulrunner wrapper script (3.10 KB, patch)
2012-07-21 11:52 PDT, Mike Hommey [:glandium]
benjamin: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release-
Details | Diff | Review

Description Mike Hommey [:glandium] 2012-05-19 08:23:27 PDT
(I think this also affects mac)

Bug 743560 moved run-mozilla.sh to the SDK. But xulrunner is still the script that calls run-mozilla.sh to call xulrunner-bin. This makes running xulrunner application.ini fail. (although, using the stub works).

We should either ship run-mozilla.sh again with xulrunner (easy) or switch xulrunner to the standalone glue (less easy, but all other apps have been switched already, so it's mostly copy/paste)
Comment 1 Mike Hommey [:glandium] 2012-06-03 23:36:37 PDT
Created attachment 629708 [details] [diff] [review]
Remove NSPR usage from nsXULRunnerApp.cpp
Comment 2 Mike Hommey [:glandium] 2012-06-03 23:39:23 PDT
Created attachment 629710 [details] [diff] [review]
Use XPCOM standalone glue in nsXULRunnerApp.cpp
Comment 3 Benjamin Smedberg [:bsmedberg] 2012-06-04 06:18:22 PDT
Comment on attachment 629710 [details] [diff] [review]
Use XPCOM standalone glue in nsXULRunnerApp.cpp

I don't think we need/want AutoXPCOMGlue, because XPCOMGlueShutdown is pretty much a joke that should be removed. r=me with that removed
Comment 5 Mike Hommey [:glandium] 2012-06-07 01:59:45 PDT
err, there were 2 parts. Here is the second:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d8764ae15bf1
Comment 7 Mike Hommey [:glandium] 2012-06-11 07:44:26 PDT
Comment on attachment 629708 [details] [diff] [review]
Remove NSPR usage from nsXULRunnerApp.cpp

[Approval Request Comment]
Bug caused by bug 743560
User impact if declined: xulrunner doesn't work on linux (and maybe mac)
Risk to taking this patch (and alternatives if risky): No code change that affects Firefox. Only affects xulrunner.
Comment 8 Mike Hommey [:glandium] 2012-06-11 07:44:51 PDT
Comment on attachment 629710 [details] [diff] [review]
Use XPCOM standalone glue in nsXULRunnerApp.cpp

[Approval Request Comment]
See comment 7.
Comment 10 Mike Hommey [:glandium] 2012-07-21 10:56:44 PDT
Gah, it appears the patch was not enough: the script hasn't been modified and still tries to run run-mozilla.sh. The xulrunner script needs to go, and xulrunner-bin needs to be renamed as xulrunner.
Comment 11 Mike Hommey [:glandium] 2012-07-21 11:52:48 PDT
Created attachment 644666 [details] [diff] [review]
Install the xulrunner binary as xulrunner instead of xulrunner-bin, and get rid of the xulrunner wrapper script
Comment 13 Ed Morley [:emorley] 2012-07-25 01:37:47 PDT
Push backed out for Windows mochitest crashes:
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=eecd3aa199e6

https://hg.mozilla.org/integration/mozilla-inbound/rev/1abfd50c8be6
Comment 14 Mike Hommey [:glandium] 2012-07-25 04:08:15 PDT
Relanded, as it was innocent
https://hg.mozilla.org/integration/mozilla-inbound/rev/c8f38098799a
Comment 15 Ed Morley [:emorley] 2012-07-26 05:13:10 PDT
https://hg.mozilla.org/mozilla-central/rev/c8f38098799a
Comment 16 Axel Beckert 2012-07-28 07:21:05 PDT
Any reason why "status-firefox16: affected" has been removed? For me, xulrunner 16 is clearly affected in the same way as xulrunner 14 and 15 are:

$ xulrunner-16.0
Cannot find XULRunner runtime directory. Exiting.
Comment 17 Mike Hommey [:glandium] 2012-07-28 08:18:55 PDT
Comment on attachment 644666 [details] [diff] [review]
Install the xulrunner binary as xulrunner instead of xulrunner-bin, and get rid of the xulrunner wrapper script

[Approval Request Comment]
Bug caused by bug 743560 ; previous fix was incomplete
User impact if declined: xulrunner doesn't work on linux (and maybe mac)
Risk to taking this patch (and alternatives if risky): No code change that affects Firefox. Only affects xulrunner.
Comment 18 Scoobidiver (away) 2012-07-28 08:26:42 PDT
(In reply to Axel Beckert from comment #16)
> Any reason why "status-firefox16: affected" has been removed? For me,
> xulrunner 16 is clearly affected in the same way as xulrunner 14 and 15 are:
Because the first patches landed on 16.0, but not the latest one.
Comment 20 Mike Hommey [:glandium] 2012-07-30 23:14:18 PDT
Comment on attachment 644666 [details] [diff] [review]
Install the xulrunner binary as xulrunner instead of xulrunner-bin, and get rid of the xulrunner wrapper script

The released xulrunner is broken on (at least) linux. The patch only changes xulrunner code, is it possible (and desirable) to do a xulrunner-only point release?
Comment 21 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-07 13:39:19 PDT
Comment on attachment 644666 [details] [diff] [review]
Install the xulrunner binary as xulrunner instead of xulrunner-bin, and get rid of the xulrunner wrapper script

Checked with RelEng and it's not possible to rebuild xulrunner without building Firefox as well so this would be too much of a PITA to do when we'll have a new beta out this week with this patch in it and a new release of xulrunner in ~2 weeks.

Note You need to log in before you can comment on or make changes to this bug.